unit hpib32;

interface
type
 ErrHP=(NOERROR,SYNTAX,SYMNAME,BADADDR,BADID,PARAM,NOCONN,NOPERM,
   NOTSUPP,NORSRC,NOINTF,LOCKED,NOLOCK,BADFMT,DATA,TIMEOUT,OVERFLOW,
   IO,OS,BADMAP,NODEV,INVLADDR,NOTIMPL,ABORTED,BADCONFIG,NOCMDR,
   VERSION,NESTEDIO,BUSY,CONNEXISTS,BUSERR,BUSERR_RETRY);
const
 I_TERM_MAXCNT		=1;
 I_TERM_CHR		=2;
 I_TERM_END		=4;
 I_TERM_NON_BLOCKED	=8;
function iopen(addr:PChar):Integer; cdecl;
function iclose(id:Integer):ErrHP; cdecl;
function iwrite(id:Integer; buf:PChar; datalen:LongInt;
  term:LongBool; var actualcnt:LongInt):ErrHP; cdecl;
function iread(id:Integer; buf:PChar; datalen:LongInt;
  var reason:Integer; var actualcnt:LongInt):ErrHP; cdecl;
function ilocal(id:Integer):ErrHP; cdecl;
function iclear(id:Integer):ErrHP; cdecl;
function itimeout(id:Integer;tv:LongInt):ErrHP; cdecl;
function igettimeout(id:Integer;var tv:LongInt):ErrHP; cdecl;
function itermchr(id:Integer;c:Integer):ErrHP; cdecl;
function igettermchr(id:Integer;var c:Integer):ErrHP; cdecl;

implementation
function iopen;		external 'SICL32.DLL';
function iclose;	external 'SICL32.DLL';
function iwrite;	external 'SICL32.DLL';
function iread;		external 'SICL32.DLL';
function ilocal;	external 'SICL32.DLL';
function iclear;	external 'SICL32.DLL';
function itimeout;	external 'SICL32.DLL';
function igettimeout;	external 'SICL32.DLL';
function itermchr;	external 'SICL32.DLL';
function igettermchr;	external 'SICL32.DLL';
end.
